This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1278715 - Failed to restart vdsmd service after reboot rhevh after satellite registration
Failed to restart vdsmd service after reboot rhevh after satellite registration
Status: CLOSED DUPLICATE of bug 1167074
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node (Show other bugs)
3.5.5
x86_64 Linux
unspecified Severity high
: ovirt-3.6.1
: ---
Assigned To: Fabian Deutsch
Liushihui
node
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 04:22 EST by Liushihui
Modified: 2016-02-10 14:17 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-09 10:16:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log (398.85 KB, text/plain)
2015-11-06 04:23 EST, Liushihui
no flags Details

  None (edit)
Description Liushihui 2015-11-06 04:22:20 EST
Description of problem:
vdsmd service can't auto restart after reboot rhevh if virt-who is running at vdsm/rhevm mode before reboot rhevh.

Version-Release number of selected component (if applicable):
vdsm-4.16.27-1.el7ev.x86_64
Rhev-hypervisor7-7.2-20151019.2 + RHEV 3.5.5

How reproducible:
Always

Steps to Reproduce:
1. Add Rhev-hypervisor7-7.2-20151019.2 to RHEV 3.5.5
2. Register rhevh to satellite with TUI, make it run at vdsm mode, virt-who send h/g mapping to satellite normally.
[root@localhost admin]#  cat /etc/sysconfig/virt-who  | grep -v ^# | grep -v ^$
VIRTWHO_DEBUG=1
VIRTWHO_INTERVAL=5
VIRTWHO_VDSM=1
[root@localhost admin]# systemctl restart virt-who
3. Restart rhevh system. After reboot successfully ,check vdsmd service
[root@localhost admin]# systemctl status vdsmd
● vdsmd.service - Virtual Desktop Server Manager
   Loaded: loaded (/usr/lib/systemd/system/vdsmd.service; enabled; vendor preset: disabled)
   Active: inactive (dead)

Nov 06 09:06:56 localhost systemd[1]: Dependency failed for Virtual Desktop Server Manager.
Nov 06 09:06:56 localhost systemd[1]: Job vdsmd.service/start failed with result 'dependency'.
Nov 06 09:06:56 localhost systemd[1]: Dependency failed for Virtual Desktop Server Manager.
Nov 06 09:06:56 localhost systemd[1]: Job vdsmd.service/start failed with result 'dependency'.
Nov 06 09:06:56 localhost systemd[1]: Dependency failed for Virtual Desktop Server Manager.
Nov 06 09:06:56 localhost systemd[1]: Job vdsmd.service/start failed with result 'dependency'.
Nov 06 09:06:57 localhost systemd[1]: Dependency failed for Virtual Desktop Server Manager.
Nov 06 09:06:57 localhost systemd[1]: Job vdsmd.service/start failed with result 'dependency'.
Nov 06 09:06:57 localhost systemd[1]: Dependency failed for Virtual Desktop Server Manager.
Nov 06 09:06:57 localhost systemd[1]: Job vdsmd.service/start failed with result 'dependency'.
 
[root@localhost admin]# systemctl restart vdsmd
A dependency job for vdsmd.service failed. See 'journalctl -xe' for details.
[root@localhost admin]# journalctl -xe
-- Subject: Unit libvirtd.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit libvirtd.service has failed.
-- 
-- The result is failed.
Nov 06 09:11:23 localhost systemd[1]: Dependency failed for Virtual Desktop Server Manager network restoration.
-- Subject: Unit vdsm-network.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit vdsm-network.service has failed.
-- 
-- The result is dependency.
Nov 06 09:11:23 localhost systemd[1]: Dependency failed for Virtual Desktop Server Manager.
-- Subject: Unit vdsmd.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit vdsmd.service has failed.
-- 
-- The result is dependency.
Nov 06 09:11:23 localhost systemd[1]: Job vdsmd.service/start failed with result 'dependency'.
Nov 06 09:11:23 localhost systemd[1]: Job vdsm-network.service/start failed with result 'dependency'.
Nov 06 09:11:23 localhost systemd[1]: Unit libvirtd.service entered failed state.
Nov 06 09:11:23 localhost systemd[1]: libvirtd.service failed.
Nov 06 09:11:23 localhost systemd[1]: Stopping "Auxiliary vdsm service for running helper functions as root"...
-- Subject: Unit supervdsmd.service has begun shutting down
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit supervdsmd.service has begun shutting down.
Nov 06 09:11:23 localhost systemd[1]: Started "Auxiliary vdsm service for running helper functions as root".
-- Subject: Unit supervdsmd.service has finished start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit supervdsmd.service has finished starting up.
-- 
-- The start-up result is done.
Nov 06 09:11:23 localhost systemd[1]: Starting "Auxiliary vdsm service for running helper functions as root"...
-- Subject: Unit supervdsmd.service has begun start-up
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit supervdsmd.service has begun starting up.
Nov 06 09:11:27 localhost python[2019]: Virt backend 'env/cmdline' fails with exception:
Nov 06 09:11:27 localhost python[2019]: Waiting 5 seconds before retrying backend 'env/cmdline'

[root@localhost admin]# systemctl status virt-who
● virt-who.service - Daemon for reporting virtual guest IDs to subscription-manager
   Loaded: loaded (/usr/lib/systemd/system/virt-who.service; enabled; vendor preset: disabled)
   Active: active (running) since Fri 2015-11-06 09:06:31 UTC; 7min ago
 Main PID: 1994 (python)
   CGroup: /system.slice/virt-who.service
           ├─1994 /usr/bin/python /usr/share/virt-who/virtwho.pyc
           └─2019 /usr/bin/python /usr/share/virt-who/virtwho.pyc


Actual results:
After rhevh reboot successfully, vdsmd service can't restart auto or manually.
please see the vdsm log in attachment.

Expected results:
After rhevh reboot successfully, vdsmd service can restart successfully.

Additional info:
If virt-who isn't running before reboot rhevh, it hasn't this problem.
Comment 1 Liushihui 2015-11-06 04:23 EST
Created attachment 1090531 [details]
vdsm.log
Comment 2 Fabian Deutsch 2015-11-09 08:36:45 EST
Does teh node get up in RHEV-M?
Comment 3 Fabian Deutsch 2015-11-09 10:16:49 EST
In vdsm.log I see:

Thread-20::DEBUG::2015-11-06 09:05:23,279::domainMonitor::201::Storage.DomainMonitorThread::(_monitorLoop) Unable to release the host id 1 for domain 55a2a114-13e2-413e-b886-fe25a092d75a
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/domainMonitor.py", line 198, in _monitorLoop
  File "/usr/share/vdsm/storage/sd.py", line 480, in releaseHostId
  File "/usr/share/vdsm/storage/clusterlock.py", line 252, in releaseHostId
ReleaseHostIdFailure: Cannot release host id: (u'55a2a114-13e2-413e-b886-fe25a092d75a', SanlockException(16, 'Sanlock lockspace remove failure', 'Device or resource busy'))

Thus it looks like a dupe of bug 1167074

*** This bug has been marked as a duplicate of bug 1167074 ***
Comment 4 Liushihui 2015-11-10 03:26:43 EST
(In reply to Fabian Deutsch from comment #2)
> Does teh node get up in RHEV-M?

When it occurred this problem, rhevh node was down in rhevm.

Note You need to log in before you can comment on or make changes to this bug.